Subject: Re: [PATCH 2/5] lib-gpg: allow tests with the GPGSM prereq first

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Oct 2025 11:18:10 -0700

Todd Zullinger <[email-masked]> writes:

> I sent a series long ago to fix this issue¹, but it wasn't
> picked up.
>
> Fixing the issue exposes broken tests which use the gpg2
> prereq.  That breakage turns up in our CI and other build
> environments, like Fedora's, but I was never able to
> reliably trigger it locally and track down what was broken
> about those test.
>
> I believe I asked about it again a few months later and it
> did not gain any attention.
>
> I simply apply the patches locally and then disable those
> tests -- tests which don't run reliably are not worth
> running IMO. :)
>
> ¹ <[email-masked]>

True, the archive shows that the two-patch series got no attention
from anybody, it seems.  Perhaps nobody was looking at the list at
around the beginning of July last year?

Let me pick it up belatedly, but I'd appreciate an extra sets or two
of eyes while the issue is fresh in our minds.

Thanks.